#include <QtGui/QGuiApplication>
#include "window.h"
#include <QQmlEngine>
#include <QQmlComponent>
#include <qqml.h>
#include <QQuickView>
#include <QDebug>


int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    /********** Test case 1 *********/
    qmlRegisterType<Window>("UI",1,0,"Window");
    QQmlEngine engine;
    QQmlComponent comp(&engine);
    comp.loadUrl(QStringLiteral("qml/TestQml/main.qml"));
    if(comp.isReady())
        comp.create();
    else
        qDebug()<<comp.errorString();

    /****** Test case 2 ********/
//    Window w;
//    w.setSource(QStringLiteral("qml/TestQml/main.qml"));
//    w.show();

    return app.exec();
}
